<button
  class="hide open-modal"
  data-toggle="modal"
  data-target="#share-modal"
  data-backdrop="static"
  data-keyboard="false"
></button>
<div
  class="modal fade"
  id="share-modal"
  tabindex="-1"
  role="dialog"
  aria-labelledby="edit"
  aria-hidden="true"
>
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header justify-content-center">
        <h5 class="modal-title" id="Heading">{{ header }}</h5>
      </div>
      <div class="modal-body">
        <div class="alert alert-danger" *ngIf="dangerStyle">
          <span class="glyphicon glyphicon-warning-sign"></span>
          {{ content }}
        </div>
        <div class="text-modal-style" *ngIf="normalStyle">
          {{ content }}
        </div>
      </div>
      <div class="modal-footer">
        <button
          type="button"
          class="btn btn-primary"
          data-dismiss="modal"
          *ngIf="isButtonEnabled"
          (click)="clickButton($event)"
        >
          {{ buttonContent }}
        </button>
        <button
          type="button"
          class="btn btn-clear"
          data-dismiss="modal"
          (click)="closeModal($event)"
        >
          <span class="glyphicon glyphicon-remove"></span> Close
        </button>
      </div>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
